Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssMdCluster

All Superinterfaces:
  IEssBaseObject

public interface IEssMdCluster
extends IEssBaseObject

The IEssMdCluster interface.

Method Summary
`IEssMdMember[]` | `getAllDimensionMembers(int dimindex)` Returns an array of this cluster's members at for a given dimension.
`IEssMdMember[]` | `getAllTupleMembers(int tupleindex)` Returns an array of this cluster's tuple members at a given cluster tuple index.
`int` | `getDimensionCount()` Gets the number of dimensions in this cluster.
`int` | `getTupleCount()` Gets the number of tuples in this cluster.

Method Detail

### getTupleCount

    public int getTupleCount()
                      throws EssException

  Gets the number of tuples in this cluster.

  Returns:
    The number of tuples in this cluster.
  Throws:
    `EssException` - if an error occurs.

### getDimensionCount

    public int getDimensionCount()
                          throws EssException

  Gets the number of dimensions in this cluster.

  Returns:
    Number of dimensions in this cluster.
  Throws:
    `EssException` - if an error occurs.

### getAllTupleMembers

    public IEssMdMember[] getAllTupleMembers(int tupleindex)
                                      throws EssException

  Returns an array of this cluster's tuple members at a given cluster tuple index.

  Parameters:
    `tupleindex` - The tuple index for which to get the members.
  Returns:
    An array of IEssMdMember interface.
  Throws:
    `EssException` - if an error occurs.

### getAllDimensionMembers

    public IEssMdMember[] getAllDimensionMembers(int dimindex)
                                          throws EssException

  Returns an array of this cluster's members at for a given dimension.

  Parameters:
    `dimindex` - The dim index for which to get the members.
  Returns:
    An array of IEssMdMember interface.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD